﻿@{
    Layout = "~/Views/Shared/_Layout.cshtml";

    var mapKey = Jumbula.Web.Mvc.WebConfig.WebConfigHelper.GoogleMapAPIKey;
}

@* Navbar *@
@Html.Partial("~/Views/Shared/Navbar/JbNavbar.cshtml")

@RenderSection("_Notification", false)

@* Body *@
@RenderBody()
<div class="clearfix"></div>

@* _Footer *@
@*@Html.Partial("_Footer")*@


@section Styles{

    <style>
        html, body {
            height: 100%;
            margin: 0;
            padding: 0;
        }

        #map {
            height: 100%;
        }

        .controls {
            margin-top: 10px;
            border: 1px solid transparent;
            border-radius: 2px 0 0 2px;
            box-sizing: border-box;
            -moz-box-sizing: border-box;
            height: 32px;
            outline: none;
            box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
        }

        #pac-input {
            background-color: #fff;
            font-family: Roboto;
            font-size: 15px;
            font-weight: 300;
            margin-left: 12px;
            padding: 0 11px 0 13px;
            text-overflow: ellipsis;
            width: 300px;
        }

            #pac-input:focus {
                border-color: #4d90fe;
            }

        .pac-container {
            font-family: Roboto;
        }

        #type-selector {
            color: #fff;
            background-color: #4d90fe;
            padding: 5px 11px 0px 11px;
        }

            #type-selector label {
                font-family: Roboto;
                font-size: 13px;
                font-weight: 300;
            }

        .pac-logo:after {
            display: none;
        }
    </style>

    @RenderSection("Styles", required: false)

}

@section Scripts{

    <script>
        function initMap() {

            var input = /** type {!HTMLInputElement} */(
                document.getElementById('address'));

            var types = document.getElementById('type-selector');


            var autocomplete = new google.maps.places.Autocomplete(input);
            //autocomplete.bindTo('bounds', map);

            var infowindow = new google.maps.InfoWindow();

            autocomplete.addListener('place_changed', function () {
                infowindow.close();
                marker.setVisible(false);
                var place = autocomplete.getPlace();
                if (!place.geometry) {
                    window.alert("Autocomplete's returned place contains no geometry");
                    return;
                }

                marker.setIcon(/** type {google.maps.Icon} */({
                    url: place.icon,
                    size: new google.maps.Size(71, 71),
                    origin: new google.maps.Point(0, 0),
                    anchor: new google.maps.Point(17, 34),
                    scaledSize: new google.maps.Size(35, 35)
                }));
                marker.setPosition(place.geometry.location);
                marker.setVisible(true);

                var address = '';
                if (place.address_components) {
                    address = [
                      (place.address_components[0] && place.address_components[0].short_name || ''),
                      (place.address_components[1] && place.address_components[1].short_name || ''),
                      (place.address_components[2] && place.address_components[2].short_name || '')
                    ].join(' ');
                }

                infowindow.setContent('<div><strong>' + place.name + '</strong><br>' + address);

                //infowindow.open(map, marker);
            });

        }

    </script>

    <script src="https://maps.googleapis.com/maps/api/js?key=@mapKey&signed_in=true&libraries=places&callback=initMap" async defer></script>

    @RenderSection("Scripts", required: false)
}